Retrieve all vendor fields against an ASIN
curl --request GET \
--url https://mm-api.merchantspring.io/vendor/asins \
--header 'x-api-key: <api-key>'import requests
url = "https://mm-api.merchantspring.io/vendor/asins"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://mm-api.merchantspring.io/vendor/asins', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mm-api.merchantspring.io/vendor/asins",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mm-api.merchantspring.io/vendor/asins"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mm-api.merchantspring.io/vendor/asins")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://mm-api.merchantspring.io/vendor/asins")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"asin": "B00949CTQQ",
"catalogue": {
"title": "Classic Eau de Toilette for Men",
"vpi": "B00949CTQQ",
"brand": "LaTinte",
"category": "Facial Peels",
"parentCategory": "Treatments & Masks",
"retailPrice": 77.8,
"imageUrl": "https://m.media-amazon.com/images/I/61dJyrTq+rL.jpg",
"linkUrl": "https://amazon.com/dp/B00949CTQQ",
"isFulfilledByAmazon": false
},
"orderedRevenue": {
"glanceViews": 544564,
"lostFeaturedOffer": 3.42,
"orderedRevenue": 2119116.4,
"orderedUnits": 27238,
"conversionRate": 5,
"retailPrice": 77.8
},
"shippedRevenue": {
"sourcing": {
"shippedRevenue": 1288056.8,
"shippedUnits": 16556,
"shippedCogs": 113624.42,
"customerReturns": 178,
"unitCogs": 6.86,
"rawMargin": 91.18,
"netPpm": 51.08
},
"manufacturing": {
"shippedRevenue": 1759836,
"shippedUnits": 16556,
"shippedCogs": 225829.52,
"customerReturns": 178,
"unitCogs": 13.64,
"rawMargin": 87.17
}
},
"inventory": {
"sellableInventory": 258149.67,
"sellableUnits": 1314,
"receivedUnits": 95,
"unitsShipped": 16556,
"daysCover": 43.7,
"openPo": 312
},
"po": {
"price": 70.48,
"poValue": 242197.28,
"unitsOrdered": 11679,
"avgPrice": 20.74,
"daysSinceLastOrder": 12
},
"profit": {
"shippedCogs": 113624.42,
"chargebacks": 2697.2,
"expenses": 2697.2,
"profit": 110927.22,
"inventory": 1314,
"snsUnits": 137
},
"sourcingShare": {
"lostCogsUsa": 112205.1,
"lostUnitsUsa": 6064,
"sourcingShareUsa": 73.19,
"unitCogs": 6.86,
"otherVendors": 18.5
},
"advertising": {
"adSales": 0,
"spend": 0,
"acos": 0,
"roas": 0
}
}
],
"pagination": {
"pageIndex": 123,
"pageSize": 123,
"count": 123
},
"meta": {
"currency": "<string>"
}
}Vendor
Retrieve all vendor fields against an ASIN
Vendor only. Returns one wide row per ASIN combining every data point we hold for the product: catalogue, ordered revenue, shipped revenue (sourcing and manufacturing), inventory health, purchase orders, product profit, sourcing share and advertising. Supply asin to fetch a single product, or omit it to page through the full master list (products with sales activity in the window). The date range must not exceed 30 days. Page size defaults to 20 and is capped at 50 (rows are wide). Uses zero-based page indexing.
GET
/
vendor
/
asins
Retrieve all vendor fields against an ASIN
curl --request GET \
--url https://mm-api.merchantspring.io/vendor/asins \
--header 'x-api-key: <api-key>'import requests
url = "https://mm-api.merchantspring.io/vendor/asins"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://mm-api.merchantspring.io/vendor/asins', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mm-api.merchantspring.io/vendor/asins",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mm-api.merchantspring.io/vendor/asins"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mm-api.merchantspring.io/vendor/asins")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://mm-api.merchantspring.io/vendor/asins")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"asin": "B00949CTQQ",
"catalogue": {
"title": "Classic Eau de Toilette for Men",
"vpi": "B00949CTQQ",
"brand": "LaTinte",
"category": "Facial Peels",
"parentCategory": "Treatments & Masks",
"retailPrice": 77.8,
"imageUrl": "https://m.media-amazon.com/images/I/61dJyrTq+rL.jpg",
"linkUrl": "https://amazon.com/dp/B00949CTQQ",
"isFulfilledByAmazon": false
},
"orderedRevenue": {
"glanceViews": 544564,
"lostFeaturedOffer": 3.42,
"orderedRevenue": 2119116.4,
"orderedUnits": 27238,
"conversionRate": 5,
"retailPrice": 77.8
},
"shippedRevenue": {
"sourcing": {
"shippedRevenue": 1288056.8,
"shippedUnits": 16556,
"shippedCogs": 113624.42,
"customerReturns": 178,
"unitCogs": 6.86,
"rawMargin": 91.18,
"netPpm": 51.08
},
"manufacturing": {
"shippedRevenue": 1759836,
"shippedUnits": 16556,
"shippedCogs": 225829.52,
"customerReturns": 178,
"unitCogs": 13.64,
"rawMargin": 87.17
}
},
"inventory": {
"sellableInventory": 258149.67,
"sellableUnits": 1314,
"receivedUnits": 95,
"unitsShipped": 16556,
"daysCover": 43.7,
"openPo": 312
},
"po": {
"price": 70.48,
"poValue": 242197.28,
"unitsOrdered": 11679,
"avgPrice": 20.74,
"daysSinceLastOrder": 12
},
"profit": {
"shippedCogs": 113624.42,
"chargebacks": 2697.2,
"expenses": 2697.2,
"profit": 110927.22,
"inventory": 1314,
"snsUnits": 137
},
"sourcingShare": {
"lostCogsUsa": 112205.1,
"lostUnitsUsa": 6064,
"sourcingShareUsa": 73.19,
"unitCogs": 6.86,
"otherVendors": 18.5
},
"advertising": {
"adSales": 0,
"spend": 0,
"acos": 0,
"roas": 0
}
}
],
"pagination": {
"pageIndex": 123,
"pageSize": 123,
"count": 123
},
"meta": {
"currency": "<string>"
}
}Query Parameters
Was this page helpful?